html
{
    scroll-behavior: smooth;
}

body
{
    background-image: url("background.png");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    font-family: Arial, sans-serif;
}

nav
{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 60px;
    position: relative;
    z-index: 1000;
}

nav h2
{
    color: white;
    font-size: 32px;
}

nav ul
{
    display: flex;
    list-style: none;
    gap: 30px;
}

nav ul li a
{
    color: white;
    text-decoration: none;
    font-size: 18px;
}

nav ul li a:hover
{
    color: cyan;
}

.logo
{
    display: flex;
    align-items: center;
    gap: 12px;
}

.logo img
{
    width: 50px;
    height: auto;
}

.logo h2
{
    color: white;
    font-size: 28px;
}

.hero
{
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: -120px;
    color: white;
    text-align: center;
}

.hero h1
{
    font-size: 90px;
    font-weight: 800;
    color: white;
    text-align: center;
    margin-bottom: 35px;
    line-height: 1;
    animation-name: slideUp;
    animation-duration: 2s;
    animation-timing-function: ease;
}

.hero p
{
    max-width: 850px;
    font-size: 28px;
    color: #d6d6d6;
    text-align: center;
    line-height: 1.6;
    animation: slideUp 1.2s ease-out;
    animation-delay: 0.3s;
    animation-fill-mode: both;
}

.about
{
    color: white;
    text-align: center;
    padding: 150px 150px;
}

.about h2
{
    font-size: 24px;
    margin-bottom: 30px;
}

.about p
{
    font-size: 24px;
    color: #d0d0d0;
    line-height: 1.8;
    max-width: 1000px;
    margin: auto;
}

@keyframes slideUp
{
    0%
    {
        opacity: 0;
        transform: translateY(150px);
    }
    100%
    {
        opacity: 1;
        transform: translateY(0);
    }
}

.hidden
{
    opacity: 0;
    transform: translateY(80px);
    transition: all 1s ease;
}

.show
{
    opacity: 1;
    transform: translateY(0);
}

.projects
{
    color: white;
    text-align: center;
    padding: 120px 50px;
}

.projects h2
{
    font-size: 55px;
    margin-bottom: 20px;
}

.project-subtitle
{
    font-size: 24px;
    color: #cfcfcf;
    margin-bottom: 70px;
}

.project-container
{
    display: flex;
    justify-content: center;
    gap: 40px;
    flex-wrap: wrap;
}

.project-card
{
    background: rgba(255, 255, 255, 0.08);
    width: 320px;
    padding: 30px;
    border-radius: 20px;
    backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.15);
    transition: 0.4s;
}

.project-card:hover
{
    transform: translateY(-15px);
    border-color: cyan;
    box-shadow: 0 0 25px rgba(0, 255, 255, 0.35), 0 0 60px rgba(0, 255, 255, 0.2), 0 0 100px rgba(0, 255, 255, 0.1);
}

.project-card h3
{
    font-size: 30px;
    margin-bottom: 15px;
}

.category
{
    display: inline-block;
    background: cyan;
    color: black;
    padding: 6px 15px;
    border-radius: 20px;
    font-weight: bold;
    margin-bottom: 20px;
}

.project-card p
{
    color: #d6d6d6;
    line-height: 1.7;
    margin-bottom: 25px;
}

.view-btn
{
    background: cyan;
    color: black;
    border: none;
    padding: 12px 28px;
    border-radius: 30px;
    font-size: 17px;
    cursor: pointer;
    transition: 0.3s;
}

.view-btn span
{
    display: inline-block;
    transition: transform 0.3s ease;
}

.view-btn:hover
{
    background: white;
    transform: scale(1.05);
}

.view-btn:hover span
{
    transform: translateX(8px);
}

.view-more
{
    margin-top: 70px;
    padding: 16px 38px;
    font-size: 20px;
    border-radius: 35px;
    border: none;
    background: cyan;
    color: black;
    cursor: pointer;
    transition: 0.3s;
}

.view-more:hover
{
    transform: scale(1.08);
    background: white;
}

.products {
    color: white;
    text-align: center;
    padding: 120px 80px;
}

.products h2 {
    font-size: 55px;
    margin-bottom: 20px;
}

.product-subtitle {
    font-size: 24px;
    color: #cfcfcf;
    margin-bottom: 70px;
}

.product-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 40px;
}

.product-card {
    width: 280px;
    padding: 35px;
    background: rgba(255,255,255,0.08);
    border: 1px solid rgba(255,255,255,0.15);
    border-radius: 20px;
    backdrop-filter: blur(10px);
    transition: 0.4s;
}

.product-card:hover {
    transform: translateY(-15px) scale(1.03);
    border-color: cyan;
    box-shadow:
        0 0 25px rgba(0,255,255,0.35),
        0 0 60px rgba(0,255,255,0.2);
}

.product-icon img {
    width: 80px;
    height: 80px;
    object-fit: contain;
    transition: transform 0.3s;
}

.product-card:hover .product-icon {
    transform: scale(1.25) rotate(8deg);
}

.product-card h3 {
    font-size: 28px;
    margin-bottom: 20px;
}

.product-card p {
    color: #d6d6d6;
    line-height: 1.7;
    margin-bottom: 30px;
}

.learn-btn {
    background: cyan;
    color: black;
    border: none;
    border-radius: 30px;
    padding: 12px 28px;
    cursor: pointer;
    font-size: 17px;
    transition: all 0.3s ease;
}

.learn-btn span {
    display: inline-block;
    transition: transform 0.3s;
}

.learn-btn:hover {
    background: white;
    transform: scale(1.08);
}

.learn-btn:hover span {
    transform: translateX(8px);
}

.why-us {
    color: white;
    text-align: center;
    padding: 120px 80px;
}

.why-us h2 {
    font-size: 55px;
    margin-bottom: 20px;
}

.why-subtitle {
    font-size: 24px;
    color: #cfcfcf;
    margin-bottom: 70px;
}

.why-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 40px;
}

.why-card {
    width: 280px;
    padding: 35px;
    background: rgba(255,255,255,0.08);
    border: 1px solid rgba(255,255,255,0.15);
    border-radius: 20px;
    backdrop-filter: blur(10px);
    transition: 0.4s;
}

.why-card:hover {
    transform: translateY(-15px) scale(1.03);
    border-color: cyan;
    box-shadow:
        0 0 25px rgba(0,255,255,0.35),
        0 0 60px rgba(0,255,255,0.20);
}

.why-icon {
    font-size: 60px;
    margin-bottom: 20px;
    transition: transform 0.3s ease;
}

.why-card:hover .why-icon {
    transform: scale(1.3) rotate(10deg);
}

.why-card h3 {
    font-size: 28px;
    margin-bottom: 20px;
}

.why-card p {
    color: #d6d6d6;
    line-height: 1.7;
}

.cta {
    text-align: center;
    color: white;
    padding: 140px 80px;
}

.cta h2 {
    font-size: 60px;
    margin-bottom: 30px;
}

.cta p {
    max-width: 900px;
    margin: auto;
    font-size: 24px;
    line-height: 1.8;
    color: #d6d6d6;
    margin-bottom: 50px;
}

.cta-btn {
    background: cyan;
    color: black;

    border: none;
    border-radius: 40px;

    padding: 18px 45px;

    font-size: 22px;
    font-weight: bold;

    cursor: pointer;

    transition: all 0.3s ease;
}

.cta-btn span {
    display: inline-block;
    transition: transform 0.3s ease;
}

.cta-btn:hover {
    background: white;
    transform: scale(1.08);

    box-shadow:
        0 0 20px rgba(0,255,255,0.35),
        0 0 60px rgba(0,255,255,0.2);
}

.cta-btn:hover span {
    transform: translateX(8px);
}

.contact {
    color: white;
    text-align: center;
    padding: 120px 80px;
}

.contact h2 {
    font-size: 55px;
    margin-bottom: 20px;
}

.contact-subtitle {
    font-size: 24px;
    color: #cfcfcf;
    margin-bottom: 70px;
}

.contact-container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 40px;
}

.contact-card {
    width: 260px;
    padding: 35px;

    background: rgba(255,255,255,0.08);
    border: 1px solid rgba(255,255,255,0.15);
    border-radius: 20px;

    backdrop-filter: blur(10px);

    transition: 0.4s;
}

.contact-card:hover {
    transform: translateY(-15px) scale(1.03);

    border-color: cyan;

    box-shadow:
        0 0 25px rgba(0,255,255,0.35),
        0 0 60px rgba(0,255,255,0.2);
}

.contact-icon {
    font-size: 60px;
    margin-bottom: 20px;
    transition: transform 0.3s ease;
}

.contact-card:hover .contact-icon {
    transform: scale(1.25) rotate(8deg);
}

.contact-card h3 {
    font-size: 28px;
    margin-bottom: 15px;
}

.contact-card p {
    color: #d6d6d6;
    line-height: 1.7;
}

.footer {
    margin-top: 100px;
    padding: 60px 20px;
    text-align: center;
    color: white;
    background: rgba(255,255,255,0.05);
    backdrop-filter: blur(10px);
    border-top: 1px solid rgba(255,255,255,0.15);
}

.footer h2 {
    font-size: 40px;
    margin-bottom: 15px;
}

.footer p {
    color: #d6d6d6;
}

.footer-links {
    margin: 35px 0;
    display: flex;
    justify-content: center;
    gap: 30px;
    flex-wrap: wrap;
}

.footer-links a {
    color: white;
    text-decoration: none;
    transition: 0.3s;
}

.footer-links a:hover {
    color: cyan;
}

.copyright {
    margin-top: 30px;
    font-size: 15px;
}

.nav-link.active
{
    color: cyan;
    font-weight: bold;
}

#progress-bar
{
    position: fixed;
    top: 0;
    left: 0;
    width: 0%;
    height: 5px;
    background: cyan;
    z-index: 9999;
    box-shadow: 0 0 10px cyan
    0 0 20px cyan;
    transition: width 0.1s linear;
}

#tsparticles
{
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: -1;
}

#loader
{
    position: fixed;
    width: 100%;
    height: 100vh;
    background: #050816;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 99999;
    transition: opacity 0.8s ease;
}

#loader img
{
    width: 120px;
    animation: pulse 2s infinite;
}

#loader h2
{
    color: white;
    margin-top: 20px;
    font-size: 45px;
}

@keyframes pulse
{
    0%
    {
        transform: scale(1);
    }
    50%
    {
        transform: scale(1.1);
    }
    100%
    {
        transform: scale(1);
    }
}

#topBtn
{
    position: fixed;
    bottom: 30px;
    right: 30px;
    width: 55px;
    height: 55px;
    border: none;
    border-radius: 50%;
    background: cyan;
    color: black;
    font-size: 26px;
    font-weight: bold;
    cursor: pointer;
    display: none;
    transition: all 0.3s ease;
    z-index: 999;
}

#topBtn:hover
{
    transform: translateY(-5px) scale(1.1);
    background: white;
    box-shadow:
        0 0 20px rgba(0,255,255,0.4),
        0 0 40px rgba(0,255,255,0.2);
}

.modal
{
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.75);
    backdrop-filter: blur(10px);
    justify-content: center;
    align-items: center;
    z-index: 99999;
}

.modal-content
{
    width: 70%;
    max-height: 85vh;
    overflow-y: auto;
    padding: 40px;
    border-radius: 20px;
    background: rgba(255,255,255,0.08);
    border: 1px solid rgba(255,255,255,0.2);
    color: white;
    animation: popup 0.4s ease;
}

.close
{
    float: right;
    font-size: 40px;
    cursor: pointer;
    color: cyan;
}

.close:hover
{
    color: white;
}

.modal-content h2
{
    font-size: 45px;
}

.modal-content h4
{
    color: cyan;
    margin-bottom: 25px;
}

.modal-content h3
{
    margin-top: 35px;
    color: cyan;
}

.modal-content ul
{
    line-height: 2;
}

@keyframes popup
{
    from
    {
        opacity:0;
        transform:translateY(80px);
    }
    to
    {
        opacity:1;
        transform:translateY(0);
    }
}

.team
{
    color: white;
    text-align: center;
    padding: 120px 50px;
}

.team h2
{
    font-size: 55px;
}

.team-subtitle
{
    font-size: 22px;
    color: #cfcfcf;
    margin-bottom: 60px;
}

.team-container
{
    display: flex;
    justify-content: center;
    gap: 40px;
    flex-wrap: wrap;
}

.team-card
{
    width: 340px;
    padding: 35px;
    border-radius: 20px;
    background: rgba(255,255,255,0.08);
    border: 1px solid rgba(255,255,255,0.15);
    backdrop-filter: blur(10px);
    transition: 0.4s;
}

.team-card:hover
{
    transform: translateY(-12px);
    border-color: cyan;
}

#typing
{
    display: inline-block;
    border-right: 4px solid cyan;
    white-space: nowrap;
    overflow: hidden;
    animation: blink 0.8s infinite;
}

@keyframes blink
{
    50%
    {
        border-color: transparent;
    }
}

@media (max-width: 768px)
{
    nav
    {
        flex-direction: column;
        padding: 20px;
    }

    nav ul
    {
        flex-wrap: wrap;
        justify-content: center;
        gap: 15px;
        margin-top: 20px;
    }

    .hero
    {
        padding: 0 20px;
    }

    .hero h1
    {
        font-size: 50px;
    }

    .hero p
    {
        font-size: 20px;
    }

    .about,
    .projects,
    .products,
    .why-us,
    .team,
    .cta,
    .contact
    {
        padding: 80px 20px;
    }

    .project-container,
    .product-container,
    .why-container,
    .team-container,
    .contact-container
    {
        flex-direction: column;
        align-items: center;
    }

    .project-card,
    .product-card,
    .why-card,
    .team-card,
    .contact-card
    {
        width: 95%;
    }

    .modal-content
    {
        width: 95%;
        padding: 25px;
    }

    .footer-links
    {
        flex-direction: column;
        gap: 15px;
    }

    #topBtn
    {
        right: 20px;
        bottom: 20px;
    }
}

.contact-card a
{
    color: white;
    text-decoration: none;
}

.contact-btn
{
    display: inline-block;
    margin-top: 10px;
    margin-bottom: 10px;
    padding: 12px 20px;
    border-radius: 12px;
    background: cyan;
    color: white;
    text-decoration: none;
    font-weight: 600;
    transition: all 0.3s ease;
}

.contact-btn:hover
{
    background: #00a8d6;
    transform: translateY(-3px);
}

.get-started-btn {
    display: inline-block;
    padding: 14px 32px;
    background: #007bff;
    color: white;
    text-decoration: none;
    border-radius: 10px;
    font-size: 18px;
    font-weight: 600;
    transition: 0.3s ease;
}

.get-started-btn:hover {
    transform: translateY(-3px);
    box-shadow: 0 8px 25px rgba(0, 123, 255, 0.4);
}